Bug 1986754 - In Home->Events Dashboard, 'more' and 'Show Less' are hardcodes when the browser set to Chinese language
Summary: In Home->Events Dashboard, 'more' and 'Show Less' are hardcodes when the brow...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: All
OS: All
medium
low
Target Milestone: ---
: 4.9.0
Assignee: ralpert
QA Contact: Xiyun Zhao
URL:
Whiteboard:
Depends On:
Blocks: 1990193
TreeView+ depends on / blocked
 
Reported: 2021-07-28 09:40 UTC by Xu Rui Li
Modified: 2021-10-18 17:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: "More" and "show less" were not internationalized. Consequence: Poor user experience. Fix: Passed in extra props with internationalizable text to the underlying PatternFly component. Result: Bug is fixed.
Clone Of:
: 1990193 (view as bug list)
Environment:
Last Closed: 2021-10-18 17:42:49 UTC
Target Upstream Version:


Attachments (Terms of Use)
'more' is hardcode and not translated in Simplified Chinese language. (371.76 KB, image/png)
2021-07-28 09:40 UTC, Xu Rui Li
no flags Details
'Show Less' is hardcode and not translated in Simplified Chinese language. (419.88 KB, image/png)
2021-07-28 09:41 UTC, Xu Rui Li
no flags Details
'more' in search view (268.83 KB, image/png)
2021-07-28 09:47 UTC, Xu Rui Li
no flags Details
'Show Less' in search view (277.28 KB, image/png)
2021-07-28 09:48 UTC, Xu Rui Li
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9667 0 None open Bug 1986754: Internationalize chip group labels 2021-07-28 18:11:10 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:43:06 UTC

Description Xu Rui Li 2021-07-28 09:40:21 UTC
Created attachment 1806636 [details]
'more' is hardcode and  not translated in Simplified Chinese language.

Description of problem:
In Home->Events Dashboard, 'more' and 'Show Less' are hardcodes when the browser set to Chinese language or other languages.

Version-Release number of selected component (if applicable):
4.8.2

How reproducible:


Steps to Reproduce:
1.Login OpenShift Web console
2.The language preference set to Simplified Chinese language
3.In Administrator, access Home->Events dashboard 
3.In Events, check some resource filters, in resource bar, 'more' is hardcode and  not translated in Simplified Chinese language.
4.Click 'more' button, display the selected resources, 'Show Less' is hardvode and not translated too.

Actual results:
'more' and 'Show Less' are hardcodes when the browser set to Chinese language or other languages.

Expected results:
'more' and 'Show Less' are translatable when the browser set to Chinese language or other languages.


Additional info:

Comment 1 Xu Rui Li 2021-07-28 09:41:37 UTC
Created attachment 1806637 [details]
'Show Less' is hardcode and  not translated in Simplified Chinese language.

Comment 2 Xu Rui Li 2021-07-28 09:47:28 UTC
Created attachment 1806638 [details]
'more' in search view

Comment 3 Xu Rui Li 2021-07-28 09:48:19 UTC
Created attachment 1806639 [details]
'Show Less' in search view

Comment 4 Samuel Padgett 2021-07-28 13:13:10 UTC
Most likely these are the default messages from PatternFly, and we're need to pass our own strings to the PF components.

Comment 7 ralpert 2021-07-30 14:21:27 UTC
Hey @xiyuzhao@redhat.com - I added screenshots to GitHub of the 'show more' and 'show less' changes. I don't use the nightly builds though.

Comment 8 Xiyun Zhao 2021-08-04 07:04:05 UTC
Hi @ralpert@redhat.com add more comments on Github

Comment 12 Xiyun Zhao 2021-09-07 14:12:17 UTC
The issue which is not fixed on Home -> Search page mentioned in the comment will tracking in Bug 1990193
The reported issue of Home-> Events page which about 'more' and 'Show Less' button has been fixed and verified

Comment 14 errata-xmlrpc 2021-10-18 17:42:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.